CP(1)

NOM
cp - Copier des fichiers et des répertoires

SYNOPSIS
cp [OPTION]... [-T] SOURCE CIBLE
cp [OPTION]... SOURCE... RÉPERTOIRE
cp [OPTION]... -t RÉPERTOIRE SOURCE...

DESCRIPTION

Copier la SOURCE vers la CIBLE, ou plusieurs SOURCEs vers le RÉPERTOIRE.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-a, --archive
    identique à -dR --preserve=all

--attributes-only
    ne pas copier le contenu des fichiers, seulement leurs attributs

--backup[=CONTRÔLE]
    archiver chaque fichier cible existant

-b  identique à --backup mais sans paramètre

--copy-contents
    copier le contenu des fichier spéciaux en mode récursif

-d  identique à --no-dereference --preserve=links

-f, --force
    si un fichier cible existant ne peut pas être ouvert, alors le détruire et essayer à nouveau (cette option est ignorée si -n est aussi utilisé)

-i, --interactive
    demander confirmation avant d'écraser (annule une précédente option -n)

-H  suivre les liens symboliques fournis en ligne de commande dans SOURCE

-l, --link
    lier physiquement (« hard ») les fichiers au lieu de les copier

-L, --dereference
    toujours suivre les liens symboliques dans SOURCE

-n, --no-clobber
    ne pas écraser un fichier existant (annule une précédente option -i)

-P, --no-dereference
    ne jamais suivre les liens symboliques dans SOURCE

-p  identique à --preserve=mode,ownership,timestamps

--preserve[=LISTE_ATTR]
    préserver les attributs spécifiés (par défaut : « mode,ownership,timestamps »), et si possible les attributs supplémentaires : « context, links, xattr, all »

--no-preserve=LISTE_ATTR
    ne pas préserver les attributs indiqués

--parents
    utiliser le nom de fichier source dans RÉPERTOIRE

-R, -r, --recursive
    copier récursivement les répertoires

--reflink[=QUAND]
    contrôler les copies clones et CoW. Voir ci-dessous.

--remove-destination
    enlever chaque fichier cible existant avant de l'ouvrir (contrairement à --force)

--sparse=QUAND
    contrôler le mode de création des fichiers creux (sparse files). Voir ci-dessous.

--strip-trailing-slashes
    enlever le « / » en suffixe de chaque paramètre de SOURCE

-s, --symbolic-link
    créer des liens symboliques au lieu de copier

-S, --suffix=SUFFIXE
    outrepasser le suffixe habituel d'archivage avec le SUFFIXE

-t, --target-directory=RÉPERTOIRE
    copier tous les paramètres de la SOURCE dans le RÉPERTOIRE

-T, --no-target-directory
    traiter la CIBLE comme un fichier normal

-u, --update
    ne copier que si le fichier source est plus récent que le fichier cible ou si celui-ci n'existe pas

-v, --verbose
    expliquer ce qui est fait

-x, --one-file-system
    ne pas quitter ce système de fichiers

-Z  définir le contexte de sécurité SELinux du fichier cible au type par défaut

--context[=CTX]
    comme -Z ou, si CONTEXTE est indiqué, définir le contexte de sécurité SELinux ou SMACK à CONTEXTE

--help
    afficher l'aide-mémoire et quitter.

--version
    afficher les informations de version et quitter.

Par défaut, les fichiers creux SOURCE sont détectés par le biais d'une heuristique grossière et le fichier CIBLE correspondant est aussi construit creux. Il s'agit du comportement sélectionné par l'option --sparse=auto. Spécifiez --sparse=always pour créer un fichier CIBLE creux à chaque fois que le fichier SOURCE contient une séquence assez longue d'octets de valeur zéro. Utilisez --sparse=never pour désactiver la création de fichiers creux.

Lorsque --reflink[=always] est utilisé, effectuer une copie légère, c'est-à-dire que les blocs de données ne sont copiés que lorsqu'ils sont modifiés. Si ce n'est pas possible, la copie échoue ou, si --reflink=auto est utilisé, une copie standard est effectuée. Utilisez --reflink=never pour garantir qu’une copie standard est réalisée.

Le suffixe d'archivage est « ~ », à moins d'avoir été initialisé avec --suffix ou SIMPLE_BACKUP_SUFFIX. La méthode de contrôle de version peut être choisie à l'aide de l'option --backup ou à l'aide de la variable d'environnement VERSION_CONTROL parmi les valeurs suivantes :

none, off
    ne jamais archiver (même si --backup est utilisé)

numbered, t
    Faire des archives numérotées.

existing, nil
    Numéroter si des archives numérotées existent déjà, sinon ne pas numéroter.

simple, never
    Toujours faire des archives de type simple.

Il est à noter que « cp » archive la SOURCE lorsque les options « force » et « backup » sont utilisées et que la SOURCE et la CIBLE portent le même nom qu'un fichier normal existant.

AUTEUR
Écrit par Torbjorn Granlund, David MacKenzie et Jim Meyering.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/cp>
aussi disponible localement à l’aide de la commande : info '(coreutils) cp invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Marc Chaton <chaton@debian.org>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.